Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
pgadmin 1.4.2 ebuilds
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
thaak
n00b
n00b


Joined: 10 Aug 2005
Posts: 4

PostPosted: Tue Jul 18, 2006 4:08 pm    Post subject: pgadmin 1.4.2 ebuilds Reply with quote

Here are some ebuilds for pgadmin3-1.4.2. Had to created this as there is a bug compiling pgadmin 1.4.1 with gcc 4.1 so this may help anyone else with the same bug.

Ok create a the following files in your favourite overlay directory

dev-db/pgadmin3/pgadmin3-1.4.2.ebuild
Code:

inherit eutils libtool wxwidgets

IUSE=""

RESTRICT="nomirror"
DESCRIPTION="wxWindows GUI for PostgreSQL"
HOMEPAGE="http://www.pgadmin.org/"
SRC_URI="mirror://postgresql/pgadmin3/release/v${PV}/src/${P}.tar.gz"

SLOT="0"
LICENSE="Artistic"
KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"

DEPEND=">=x11-libs/wxGTK-2.6.0
        dev-db/libpq
        dev-libs/libxml2"

pkg_setup() {
        if ! built_with_use '>=x11-libs/wxGTK-2.6.0' unicode ; then
                die "${PN} requires >=x11-libs/wxGTK-2.6.0 emerged with USE='unicode'"
        fi
}

src_compile() {
        export WX_GTK_VER=2.6
        export WX_HOME=/usr
        need-wxwidgets unicode

        local myconf
        myconf="${myconf} --enable-unicode"
        myconf="${myconf} --enable-gtk2"
        myconf="${myconf} --with-pgsql-include=/usr/include/postgresql"
        myconf="${myconf} --with-wx-config=/lib/wx/config/${WX_CONFIG_NAME}"
        myconf="${myconf} --enable-postgres"
        LDFLAGS=-L/usr/lib/postgresql econf ${myconf} || die

        cd ${S}
        emake || die
}

src_unpack() {
        unpack ${A}
        cd ${S} || die "Couldn't cd to ${S}"
        epatch ${FILESDIR}/${P}-configure.patchsrc_install() {
        einstall || die

        dodir /usr/share/pixmaps

        cp ${S}/src/include/images/elephant48.xpm ${D}/usr/share/pixmaps/pgadmin3.xpm

        dodir /usr/share/pgadmin3

        cp ${S}/src/include/images/elephant48.xpm ${D}/usr/share/pgadmin3/pgadmin3.xpm

        chmod 644 ${D}/usr/share/pixmaps/pgadmin3.xpm
        chmod 644 ${D}/usr/share/pgadmin3/pgadmin3.xpm

        dodir /usr/share/applications

        cp ${S}/pkg/pgadmin3.desktop ${D}/usr/share/applications/pgadmin3.desktop
        chmod 644 ${D}/usr/share/applications/pgadmin3.desktop

        dodir /usr/share/applnk/Development

        cp ${S}/pkg/pgadmin3.desktop ${D}/usr/share/applnk/Development/pgadmin3.desktop
        chmod 644 ${D}/usr/share/applnk/Development/pgadmin3.desktop
}



and
dev-db/pgadmin3/files/pgadmin3-1.4.2-configure.patch
[/code]
Code:
--- configure.orig      2005-06-19 23:29:13.000000000 +0200
+++ configure   2005-06-19 23:32:38.000000000 +0200
@@ -5364,13 +5364,22 @@
         then
             if test ! -f "${WX_HOME}/${wx_config_binary}"
             then
+               # PP: here i have trouble, since on my machine
+               # the WX_HOME point to /usr/local (old 2.5) and should be /usr...
+               # lets try as last chance
+               WX_HOME=/usr
+               if test ! -f "${WX_HOME}/${wx_config_binary}"
+               then
                 { { echo "$as_me:$LINENO: error: Could not find ${wx_config_binary}" >&5
-echo "$as_me: error: Could not find ${wx_config_binary}" >&2;}
+                       echo "$as_me: error: Could not find ${wx_config_binary}" >&2;}
    { (exit 1); exit 1; }; }
             else
                 WX_CONFIG="${WX_HOME}/${wx_config_binary}"
             fi
         else
+                WX_CONFIG="${WX_HOME}/${wx_config_binary}"
+            fi
+        else
             WX_CONFIG="${WX_HOME}/bin/${wx_config_binary}"
         fi
     else


then run

Code:
ebuild ../dev-db/pgadmin3/pgadmin3-1.4.2.ebuild manifest
Back to top
View user's profile Send private message
ahocevar
n00b
n00b


Joined: 06 Jun 2003
Posts: 21
Location: Vienna, Austria

PostPosted: Fri Jul 21, 2006 12:53 pm    Post subject: Re: pgadmin 1.4.2 ebuilds Reply with quote

The original ebuild post was a little bit garbled, so here is the correct one:

dev-db/pgadmin3/pgadmin3-1.4.2.ebuild
Code:

inherit eutils libtool wxwidgets

IUSE=""

RESTRICT="nomirror"
DESCRIPTION="wxWindows GUI for PostgreSQL"
HOMEPAGE="http://www.pgadmin.org/"
SRC_URI="mirror://postgresql/pgadmin3/release/v${PV}/src/${P}.tar.gz"

SLOT="0"
LICENSE="Artistic"
KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"

DEPEND=">=x11-libs/wxGTK-2.6.0
        dev-db/libpq
        dev-libs/libxml2"

pkg_setup() {
        if ! built_with_use '>=x11-libs/wxGTK-2.6.0' unicode ; then
                die "${PN} requires >=x11-libs/wxGTK-2.6.0 emerged with USE='unicode'"
        fi
}

src_compile() {
        export WX_GTK_VER=2.6
        export WX_HOME=/usr
        need-wxwidgets unicode

        local myconf
        myconf="${myconf} --enable-unicode"
        myconf="${myconf} --enable-gtk2"
        myconf="${myconf} --with-pgsql-include=/usr/include/postgresql"
        myconf="${myconf} --with-wx-config=/lib/wx/config/${WX_CONFIG_NAME}"
        myconf="${myconf} --enable-postgres"
        LDFLAGS=-L/usr/lib/postgresql econf ${myconf} || die

        cd ${S}
        emake || die
}

src_unpack() {
        unpack ${A}
        cd ${S} || die "Couldn't cd to ${S}"
        epatch ${FILESDIR}/${P}-configure.patch
}

src_install() {
        einstall || die

        dodir /usr/share/pixmaps

        cp ${S}/src/include/images/elephant48.xpm ${D}/usr/share/pixmaps/pgadmin3.xpm

        dodir /usr/share/pgadmin3

        cp ${S}/src/include/images/elephant48.xpm ${D}/usr/share/pgadmin3/pgadmin3.xpm

        chmod 644 ${D}/usr/share/pixmaps/pgadmin3.xpm
        chmod 644 ${D}/usr/share/pgadmin3/pgadmin3.xpm

        dodir /usr/share/applications

        cp ${S}/pkg/pgadmin3.desktop ${D}/usr/share/applications/pgadmin3.desktop
        chmod 644 ${D}/usr/share/applications/pgadmin3.desktop

        dodir /usr/share/applnk/Development

        cp ${S}/pkg/pgadmin3.desktop ${D}/usr/share/applnk/Development/pgadmin3.desktop
        chmod 644 ${D}/usr/share/applnk/Development/pgadmin3.desktop
}



Thanks anyway for the ebuild!
Andreas.
Back to top
View user's profile Send private message
sayusi
n00b
n00b


Joined: 10 Aug 2006
Posts: 26
Location: Hungary

PostPosted: Thu Aug 10, 2006 4:42 pm    Post subject: Thank You! Reply with quote

It's great! I think must without my favorite PostgreSQL tool living.

sorry my english :D
Back to top
View user's profile Send private message
po0f
Apprentice
Apprentice


Joined: 08 Apr 2004
Posts: 162

PostPosted: Thu Aug 10, 2006 6:18 pm    Post subject: Reply with quote

The bug that you encountered: did it have anything to do with extra qualifiers on member functions? It was a known bug but thanks for the ebuild. Help the community out by submitting your ebuild to bugs.gentoo.org after reading this.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum